Debian Bug report logs - #610358
RFP: pagekite -- Run public servers without reconfiguring firewalls or routers. Easy http, https and ssh tunnels to a public frontend.

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Hrafnkell <he@klaki.net>

Date: Mon, 17 Jan 2011 21:51:05 UTC

Severity: wishlist

Fixed in version pagekite/0.5.6d-2

Done: Petter Reinholdtsen <pere@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, Hrafnkell Eiriksson <he@klaki.net>:
Bug#610358; Package wnpp. (Mon, 17 Jan 2011 21:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hrafnkell <he@klaki.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, Hrafnkell Eiriksson <he@klaki.net>. (Mon, 17 Jan 2011 21:51:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hrafnkell <he@klaki.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: pagekite -- Run public servers without reconfiguring firewalls or routers. Easy http, https and ssh tunnels to a public frontend.
Date: Mon, 17 Jan 2011 21:37:01 +0000
Package: wnpp
Severity: wishlist
Owner: Hrafnkell Eiriksson <he@klaki.net>


* Package name    : pagekite
  Version         : 0.3.10
  Upstream Author : Bjarni Runar Einarsson <bre@pagekite.net>
* URL             : http://pagekite.net/downloads/
* License         : AGPL
  Programming Lang: Python
  Description     : Run public servers without reconfiguring firewalls or routers. Easy http, https and ssh tunnels to a public frontend.

 PageKite removes the need to reconfigure firewalls or routers in
 order to run a public server from home or your mobile devices.
 .
 Pagekite.py is the Python implementation of the PageKite remote web
 front-end protocol, implementing a tunneled reverse proxy which allows
 you to run public HTTP or HTTPS servers on machines without direct
 connectivity to the Internet. Other protocols (SSH etc.) are partially
 supported as well.
 .
 This package implements both ends of the tunnel and is compatible
 with the (optional) front-end service provided by http://pagekite.net/.
 .
 Pagekite is distributed under the terms of the Affero General Public
 License.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Hrafnkell Eiriksson <he@klaki.net>:
Bug#610358; Package wnpp. (Wed, 27 Jul 2011 16:39:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Hrafnkell Eiriksson <he@klaki.net>. (Wed, 27 Jul 2011 16:39:24 GMT) Full text and rfc822 format available.

Message #10 received at 610358@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 610358@bugs.debian.org
Cc: control@bugs.debian.org
Subject: pagekite: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:35 +0200
retitle 610358 RFP: pagekite -- Run public servers without reconfiguring firewalls or routers. Easy http, https and ssh tunnels to a public frontend.
noowner 610358
thanks

Hi,

This is an automatic email to change the status of pagekite back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting pagekite, please send a mail to
<control@bugs.debian.org> with:

 retitle 610358 ITP: pagekite -- Run public servers without reconfiguring firewalls or routers. Easy http, https and ssh tunnels to a public frontend.
 owner 610358 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <610358@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: pagekite -- Run public servers without reconfiguring firewalls or routers. Easy http, https and ssh tunnels to a public frontend.' from 'ITP: pagekite -- Run public servers without reconfiguring firewalls or routers. Easy http, https and ssh tunnels to a public frontend.' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:56:36 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Hrafnkell Eiriksson <he@klaki.net>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:56:36 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#610358; Package wnpp. (Sun, 03 Nov 2013 10:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 03 Nov 2013 10:21:04 GMT) Full text and rfc822 format available.

Message #19 received at 610358@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 610358@bugs.debian.org, Hrafnkell <he@klaki.net>
Subject: Re: RFP: pagekite -- Run public servers without reconfiguring firewalls or routers. Easy http, https and ssh tunnels to a public frontend.
Date: Sun, 03 Nov 2013 11:19:15 +0100
Hi.  Is there any progress with your plan to upload pagekite to Debian?
There are Debian packages available from
<URL: https://pagekite.net/wiki/Howto/GNULinux/DebianPackage/ >,
so there should be no need to start from scratch.

We consider using Pagekite in the FreedomBox Debian project, and thus
would love to have pagekite available from the Debian archive.

-- 
Happy hacking
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#610358; Package wnpp. (Fri, 28 Feb 2014 18:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Feb 2014 18:21:05 GMT) Full text and rfc822 format available.

Message #24 received at 610358@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Hrafnkell Eiriksson <he@klaki.net>, 610358@bugs.debian.org
Subject: Re: RFP: pagekite -- Run public servers without reconfiguring firewalls or routers. Easy http, https and ssh tunnels to a public frontend.
Date: Fri, 28 Feb 2014 19:16:59 +0100
[Hrafnkell Eiriksson 2013-11-03]
> I doubt I have time to do this in the near future.
> Thanks for asking. I've forwarded this to Bjarni Runar Einarsson, the
> author of PageKite.

Right.  I hope someone find time to look at it soon. :)

I've had a look at the packages linked to from
<URL: https://pagekite.net/wiki/Howto/GNULinux/DebianPackage/ >, in the
APT repository <URL:https://pagekite.net/pk/deb/pool/main/p/ >,
and these packages are only binary packages.  The source packages are
completely missing, which limit the amount of reuse possible. :(

-- 
Happy hacking
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#610358; Package wnpp. (Sun, 09 Mar 2014 10:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 09 Mar 2014 10:18:04 GMT) Full text and rfc822 format available.

Message #29 received at 610358@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Hrafnkell Eiriksson <he@klaki.net>, 610358@bugs.debian.org, Bjarni Runar Einarsson <bre@pagekite.net>
Subject: Re: RFP: pagekite -- Run public servers without reconfiguring firewalls or routers. Easy http, https and ssh tunnels to a public frontend.
Date: Sun, 9 Mar 2014 11:15:11 +0100
Control: block -1 by 741152

[Petter Reinholdtsen]
> I've had a look at the packages linked to from
> <URL: https://pagekite.net/wiki/Howto/GNULinux/DebianPackage/ >, in the
> APT repository <URL:https://pagekite.net/pk/deb/pool/main/p/ >,
> and these packages are only binary packages.  The source packages are
> completely missing, which limit the amount of reuse possible. :(

I managed to find the debian rules in the upstream tarball.  Slightly
broken, but a good starting point.  I plan to upload it to the
collab-maint git repository soon.

I've tried to make a proper debian package, and plan to put the result
in the collab-maint git repository.  In the process I discovered that
pagekite depend on python-socksipychain, and I have created a WNPP
request for it in <URL: http://bugs.debian.org/741152 >.

-- 
Happy hacking
Petter Reinholdtsen



Added blocking bug(s) of 610358: 741152 Request was from Petter Reinholdtsen <pere@hungry.com> to 610358-submit@bugs.debian.org. (Sun, 09 Mar 2014 10:18:04 GMT) Full text and rfc822 format available.

Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Thu, 27 Mar 2014 11:03:14 GMT) Full text and rfc822 format available.

Notification sent to Hrafnkell <he@klaki.net>:
Bug acknowledged by developer. (Thu, 27 Mar 2014 11:03:15 GMT) Full text and rfc822 format available.

Message #36 received at 610358-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 610358-close@bugs.debian.org
Subject: Bug#610358: fixed in pagekite 0.5.6d-2
Date: Thu, 27 Mar 2014 11:00:07 +0000
Source: pagekite
Source-Version: 0.5.6d-2

We believe that the bug you reported is fixed in the latest version of
pagekite, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 610358@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated pagekite package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 17 Mar 2014 12:46:37 +0100
Source: pagekite
Binary: pagekite
Architecture: source all
Version: 0.5.6d-2
Distribution: unstable
Urgency: low
Maintainer: Sunil Mohan Adapa <sunil@medhas.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 pagekite   - Make localhost servers publicly visible.
Closes: 610358
Changes: 
 pagekite (0.5.6d-2) unstable; urgency=low
 .
   * Reformat package dependencies in debian/control.
   * Add python-setuptools, dh-python and python-socksipychain as build
     dependencies.
 .
 pagekite (0.5.6d-1) unstable; urgency=low
 .
   [ Sunil Mohan Adapa ]
   * Initial non-native Debian package. RFP/ITP fulfilled (Closes: #610358).
   * Cleanup makefile and rename native debian package to deb directory
Checksums-Sha1: 
 9586d669a3522cfe490b185a51f2e393e3c7fae9 1335 pagekite_0.5.6d-2.dsc
 a0b2688c6390a5d4a2ee580858d6739efd155490 184934 pagekite_0.5.6d.orig.tar.gz
 39f23435195fdf9d3f2b88b728e36d9d15a087da 32217 pagekite_0.5.6d-2.debian.tar.gz
 237e62fb9b137ae05f6dbdf811419c0ecfebcabd 148724 pagekite_0.5.6d-2_all.deb
Checksums-Sha256: 
 db43475181fab11c0a5bc3837347fecdac2ec4b465c87ceee7db3b71582f3c61 1335 pagekite_0.5.6d-2.dsc
 7d423c796b8891a0b40843fa373e623332178d6df2f7bc93f24afc662038f447 184934 pagekite_0.5.6d.orig.tar.gz
 dcb05ff33a1e30ca2da4e8724637368afeea7c9e58a8ee79165dc0d7de78ba6b 32217 pagekite_0.5.6d-2.debian.tar.gz
 8210c2716ba7b8d6035fc046963f10260d1435299a519069ec9060d7e046fd29 148724 pagekite_0.5.6d-2_all.deb
Files: 
 9dd5831f9bdade723d1c2b5ed7646964 1335 net optional pagekite_0.5.6d-2.dsc
 2e1982c3fc9dc9461e7b1e24ffffe468 184934 net optional pagekite_0.5.6d.orig.tar.gz
 93ea86d7b23d6fa7329b477cdd144e5b 32217 net optional pagekite_0.5.6d-2.debian.tar.gz
 75753e3199cbf951077e89c3f7eb499b 148724 net optional pagekite_0.5.6d-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFTJuVB20zMSyow1ykRAjjtAKDfjf7L69Y86W8s1kDLLxoPdZrOEwCfW21K
EJJsDX9FW38AzsDDJMHAYV8=
=F/H8
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:32:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.